com.google.web.bindery.event.shared

## Class UmbrellaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.web.bindery.event.shared.UmbrellaException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    UmbrellaException

      public class UmbrellaException
      extends java.lang.RuntimeException

  A `RuntimeException` that collects a `Set` of child `Throwable`s together. Typically thrown after a loop, with all of the exceptions thrown during that loop, but delayed so that the loop finishes executing.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static java.lang.String` | `MULTIPLE`
    `(package private) static java.lang.String` | `ONE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `UmbrellaException()` Required for GWT RPC serialization.
    `` | `UmbrellaException(java.util.Set<java.lang.Throwable> causes)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.Throwable>` | `getCauses()` Get the set of exceptions that caused the failure.
    `protected static java.lang.Throwable` | `makeCause(java.util.Set<java.lang.Throwable> causes)`
    `protected static java.lang.String` | `makeMessage(java.util.Set<java.lang.Throwable> causes)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MULTIPLE

          static final java.lang.String MULTIPLE

      See Also:
        Constant Field Values

    - #### ONE

          static final java.lang.String ONE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UmbrellaException

          public UmbrellaException(java.util.Set<java.lang.Throwable> causes)

    - #### UmbrellaException

          protected UmbrellaException()

      Required for GWT RPC serialization.

  - ### Method Detail

    - #### makeCause

          protected static java.lang.Throwable makeCause(java.util.Set<java.lang.Throwable> causes)

    - #### makeMessage

          protected static java.lang.String makeMessage(java.util.Set<java.lang.Throwable> causes)

    - #### getCauses

          public java.util.Set<java.lang.Throwable> getCauses()

      Get the set of exceptions that caused the failure.
      Returns:
        the set of causes